/*
 * ControllerOptions_MPQCCommandJob.hpp
 *
 *  Created on: Jun 6, 2012
 *      Author: heber
 */

#ifndef CONTROLLEROPTIONS_MPQCCOMMANDJOB_HPP_
#define CONTROLLEROPTIONS_MPQCCOMMANDJOB_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <boost/program_options.hpp>
#include <string>

#include "ControllerOptions_SystemCommandJob.hpp"

struct ControllerOptions_MPQCCommandJob : public ControllerOptions_SystemCommandJob
{
  int parseFragmentpath(boost::program_options::variables_map &vm);
  int parseJobfiles(boost::program_options::variables_map &vm);

  std::string fragmentpath;
  std::vector<std::string> jobfiles;
};




#endif /* CONTROLLEROPTIONS_MPQCCOMMANDJOB_HPP_ */
