/*
 * ControllerOptions_SystemCommandJob.hpp
 *
 *  Created on: 01.06.2012
 *      Author: heber
 */

#ifndef CONTROLLEROPTIONS_SYSTEMCOMMANDJOB_HPP_
#define CONTROLLEROPTIONS_SYSTEMCOMMANDJOB_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <boost/program_options.hpp>
#include <string>

#include "ControllerOptions.hpp"

struct ControllerOptions_SystemCommandJob : public ControllerOptions
{
  int parseExecutable(boost::program_options::variables_map &vm);
  int parseJobCommand(boost::program_options::variables_map &vm);

  std::string executable;
  std::string jobcommand;
};

#endif /* CONTROLLEROPTIONS_SYSTEMCOMMANDJOB_HPP_ */
