/*
 * ControllerOptions.hpp
 *
 *  Created on: 01.06.2012
 *      Author: heber
 */

#ifndef CONTROLLEROPTIONS_HPP_
#define CONTROLLEROPTIONS_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <boost/program_options.hpp>
#include <string>

#include "DefaultOptions.hpp"


struct ControllerOptions : public DefaultOptions
{
  int parseServerPort(boost::program_options::variables_map &vm);
  int parseCommand(boost::program_options::variables_map &vm, const std::vector<std::string> &Commands);

  std::string command;
  std::string server;
  std::string serverport;

};


#endif /* CONTROLLEROPTIONS_HPP_ */
